package com.dowstats.data.repositories

import com.dowstats.data.entities.unit.DowUnit
import com.dowstats.data.entities.Race
import com.dowstats.data.entities.ability.Ability
import org.springframework.data.jpa.repository.Query
import org.springframework.data.repository.*

interface AbilityRepository : CrudRepository<Ability, Long> {

    fun findAllByModId(modId: Long): List<Ability>

    fun findFirstByModIdAndFilenameIn(modId: Long, fileNames: List<String>): Ability

    fun deleteAllByModId(modId: Long)
}